From f98bec90f959569d32474d56397290044bc9c0fe Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 18 May 2022 20:32:30 +0200
Subject: [PATCH 25/30] Add missing slurm_msg_set_r_uid() to
 _slurm_rpc_control_status()

The fixed function has been removed from later versions of the code.

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/backup.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/slurmctld/backup.c b/src/slurmctld/backup.c
index 8b9df50184..bf4465652d 100644
--- a/src/slurmctld/backup.c
+++ b/src/slurmctld/backup.c
@@ -424,6 +424,8 @@ inline static void _slurm_rpc_control_status(slurm_msg_t * msg)
 	response_msg.protocol_version = msg->protocol_version;
 	response_msg.address = msg->address;
 	response_msg.conn = msg->conn;
+	if (msg->auth_uid_set)
+                slurm_msg_set_r_uid(&response_msg, msg->auth_uid);
 	response_msg.msg_type = RESPONSE_CONTROL_STATUS;
 	response_msg.data = &data;
 	response_msg.data_size = sizeof(control_status_msg_t);
-- 
2.35.3


